# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-01-27 17:19
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import weblate.trans.mixins
import weblate.trans.validators


class Migration(migrations.Migration):

    replaces = [('trans', '0001_initial'), ('trans', '0002_auto_20141021_1347'), ('trans', '0003_auto_20141021_1348'), ('trans', '0004_auto_20141021_1550'), ('trans', '0005_auto_20141021_1550'), ('trans', '0006_auto_20141021_1609'), ('trans', '0007_auto_20141022_1159'), ('trans', '0008_auto_20141104_1200'), ('trans', '0009_auto_20141110_1501'), ('trans', '0010_source_check_flags'), ('trans', '0011_auto_20141114_1008'), ('trans', '0012_translation_have_comment'), ('trans', '0013_auto_20141124_1036')]

    initial = True

    dependencies = [
        ('auth', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('lang', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Advertisement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('placement', models.IntegerField(choices=[(1, 'Mail footer (text)'), (2, 'Mail footer (HTML)')], verbose_name='Placement')),
                ('date_start', models.DateField(verbose_name='Start date')),
                ('date_end', models.DateField(verbose_name='End date')),
                ('text', models.TextField(help_text='Depending on placement, HTML can be allowed.', verbose_name='Text')),
                ('note', models.TextField(blank=True, help_text='Free form note for your notes, not used within Weblate.', verbose_name='Note')),
            ],
        ),
        migrations.CreateModel(
            name='Change',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timestamp', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('action', models.IntegerField(choices=[(0, 'Resource update'), (1, 'Translation completed'), (2, 'Translation changed'), (5, 'New translation'), (3, 'Comment added'), (4, 'Suggestion added'), (6, 'Automatic translation'), (7, 'Suggestion accepted'), (8, 'Translation reverted'), (9, 'Translation uploaded'), (10, 'Glossary added'), (11, 'Glossary updated'), (12, 'Glossary uploaded'), (13, 'New source string')], default=2)),
                ('target', models.TextField(blank=True, default=b'')),
                ('author', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name=b'author_set', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['-timestamp'],
            },
        ),
        migrations.CreateModel(
            name='Check',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('contentsum', models.CharField(db_index=True, max_length=40)),
                ('check', models.CharField(choices=[(b'end_space', 'Trailing space'), (b'inconsistent', 'Inconsistent'), (b'begin_newline', 'Starting newline'), (b'zero-width-space', 'Zero-width space'), (b'escaped_newline', 'Mismatched \\n'), (b'same', 'Not translated'), (b'end_question', 'Trailing question'), (b'end_ellipsis', 'Trailing ellipsis'), (b'ellipsis', 'Ellipsis'), (b'python_brace_format', 'Python brace format'), (b'end_newline', 'Trailing newline'), (b'c_format', 'C format'), (b'optional_plural', 'Optional plural'), (b'end_exclamation', 'Trailing exclamation'), (b'end_colon', 'Trailing colon'), (b'xml-tags', 'XML tags mismatch'), (b'python_format', 'Python format'), (b'plurals', 'Missing plurals'), (b'begin_space', 'Starting spaces'), (b'bbcode', 'Mismatched BBcode'), (b'multiple_failures', 'Multiple failing checks'), (b'php_format', 'PHP format'), (b'end_stop', 'Trailing stop')], max_length=20)),
                ('ignore', models.BooleanField(db_index=True, default=False)),
                ('language', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='lang.Language')),
            ],
            options={
                'permissions': (('ignore_check', 'Can ignore check results'),),
            },
        ),
        migrations.CreateModel(
            name='Comment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('contentsum', models.CharField(db_index=True, max_length=40)),
                ('comment', models.TextField()),
                ('timestamp', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('language', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='lang.Language')),
            ],
            options={
                'ordering': ['timestamp'],
            },
        ),
        migrations.CreateModel(
            name='Dictionary',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('source', models.CharField(db_index=True, max_length=100)),
                ('target', models.CharField(max_length=100)),
                ('language', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='lang.Language')),
            ],
            options={
                'ordering': ['source'],
                'permissions': (('upload_dictionary', 'Can import dictionary'),),
            },
        ),
        migrations.CreateModel(
            name='IndexUpdate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('source', models.BooleanField(default=True)),
            ],
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Name to display', max_length=100, unique=True, verbose_name='Project name')),
                ('slug', models.SlugField(help_text='Name used in URLs and file names.', unique=True, verbose_name='URL slug')),
                ('web', models.URLField(help_text='Main website of translated project.', verbose_name='Project website')),
                ('mail', models.EmailField(blank=True, help_text='Mailing list for translators.', max_length=75, verbose_name='Mailing list')),
                ('instructions', models.URLField(blank=True, help_text='URL with instructions for translators.', verbose_name='Translation instructions')),
                ('license', models.CharField(blank=True, help_text='Optional short summary of license used for translations.', max_length=150, verbose_name='Translation license')),
                ('license_url', models.URLField(blank=True, help_text='Optional URL with license details.', verbose_name='License URL')),
                ('new_lang', models.CharField(choices=[(b'contact', 'Use contact form'), (b'url', 'Point to translation instructions URL'), (b'add', 'Automatically add language file'), (b'none', 'No adding of language')], default=b'contact', help_text='How to handle requests for creating new languages.', max_length=10, verbose_name='New language')),
                ('merge_style', models.CharField(choices=[(b'merge', 'Merge'), (b'rebase', 'Rebase')], default=b'merge', help_text='Define whether Weblate should merge upstream repository or rebase changes onto it.', max_length=10, verbose_name='Merge style')),
                ('commit_message', models.TextField(default=b'Translated using Weblate (%(language_name)s)\n\nCurrently translated at %(translated_percent)s%% (%(translated)s of %(total)s strings)', help_text='You can use format strings for various information, please check documentation for more details.', validators=[weblate.trans.validators.validate_commit_message], verbose_name='Commit message')),
                ('committer_name', models.CharField(default=b'Weblate', max_length=200, verbose_name='Committer name')),
                ('committer_email', models.EmailField(default=b'noreply@weblate.org', max_length=75, verbose_name='Committer email')),
                ('push_on_commit', models.BooleanField(default=False, help_text='Whether the repository should be pushed upstream on every commit.', verbose_name='Push on commit')),
                ('set_translation_team', models.BooleanField(default=True, help_text='Whether the Translation-Team in file headers should be updated by Weblate.', verbose_name='Set Translation-Team header')),
                ('enable_acl', models.BooleanField(default=False, help_text='Whether to enable ACL for this project, please check documentation before enabling this.', verbose_name='Enable ACL')),
            ],
            options={
                'ordering': ['name'],
            },
            bases=(models.Model, weblate.trans.mixins.PercentMixin, weblate.trans.mixins.URLMixin, weblate.trans.mixins.PathMixin),
        ),
        migrations.CreateModel(
            name='Source',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('checksum', models.CharField(max_length=40)),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('priority', models.IntegerField(choices=[(60, 'Very high'), (80, 'High'), (100, 'Medium'), (120, 'Low'), (140, 'Very low')], default=100)),
            ],
            options={
                'permissions': (('edit_priority', 'Can edit priority'),),
            },
        ),
        migrations.CreateModel(
            name='SubProject',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Name to display', max_length=100, verbose_name='Subproject name')),
                ('slug', models.SlugField(help_text='Name used in URLs and file names.', verbose_name='URL slug')),
                ('repo', models.CharField(help_text='URL of Git repository, use weblate://project/subproject for sharing with other subproject.', max_length=200, verbose_name='Git repository')),
                ('push', models.CharField(blank=True, help_text='URL of push Git repository, pushing is disabled if empty.', max_length=200, verbose_name='Git push URL')),
                ('repoweb', models.URLField(blank=True, help_text='Link to repository browser, use %(branch)s for branch, %(file)s and %(line)s as filename and line placeholders.', validators=[weblate.trans.validators.validate_repoweb], verbose_name='Repository browser')),
                ('git_export', models.CharField(blank=True, help_text='URL of Git repository where users can fetch changes from Weblate', max_length=200, verbose_name='Exported Git URL')),
                ('report_source_bugs', models.EmailField(blank=True, help_text='Email address where errors in source string will be reported, keep empty for no emails.', max_length=75, verbose_name='Source string bug report address')),
                ('branch', models.CharField(default=b'master', help_text='Git branch to translate', max_length=50, verbose_name='Git branch')),
                ('filemask', models.CharField(help_text='Path of files to translate, use * instead of language code, for example: po/*.po or locale/*/LC_MESSAGES/django.po.', max_length=200, validators=[weblate.trans.validators.validate_filemask], verbose_name='File mask')),
                ('template', models.CharField(blank=True, help_text='Filename of translations base file, which contains all strings and their source; this is recommended to use for monolingual translation formats.', max_length=200, verbose_name='Monolingual base language file')),
                ('new_base', models.CharField(blank=True, help_text='Filename of file which is used for creating new translations. For Gettext choose .pot file.', max_length=200, verbose_name='Base file for new translations')),
                ('file_format', models.CharField(choices=[(b'aresource', 'Android String Resource'), (b'auto', 'Automatic detection'), (b'json', 'JSON file'), (b'php', 'PHP strings'), (b'po', 'Gettext PO file'), (b'po-mono', 'Gettext PO file (monolingual)'), (b'properties', 'Java Properties'), (b'properties-utf8', 'Java Properties (UTF-8)'), (b'strings', 'OS X Strings'), (b'strings-utf8', 'OS X Strings (UTF-8)'), (b'ts', 'Qt Linguist Translation File'), (b'xliff', 'XLIFF Translation File')], default=b'auto', help_text='Automatic detection might fail for some formats and is slightly slower.', max_length=50, verbose_name='File format')),
                ('extra_commit_file', models.CharField(blank=True, default=b'', help_text='Additional file to include in commits; please check documentation for more details.', max_length=200, validators=[weblate.trans.validators.validate_extra_file], verbose_name='Additional commit file')),
                ('pre_commit_script', models.CharField(blank=True, choices=[(b'', b'')], default=b'', help_text='Script to be executed before committing translation, please check documentation for more details.', max_length=200, verbose_name='Pre-commit script')),
                ('locked', models.BooleanField(default=False, help_text='Whether subproject is locked for translation updates.', verbose_name='Locked')),
                ('allow_translation_propagation', models.BooleanField(default=True, help_text='Whether translation updates in other subproject will cause automatic translation in this project', verbose_name='Allow translation propagation')),
                ('save_history', models.BooleanField(default=True, help_text='Whether Weblate should keep history of translations', verbose_name='Save translation history')),
                ('enable_suggestions', models.BooleanField(default=True, help_text='Whether to allow translation suggestions at all.', verbose_name='Enable suggestions')),
                ('suggestion_voting', models.BooleanField(default=False, help_text='Whether users can vote for suggestions.', verbose_name='Suggestion voting')),
                ('suggestion_autoaccept', models.PositiveSmallIntegerField(default=0, help_text='Automatically accept suggestions with this number of votes, use 0 to disable.', validators=[weblate.trans.validators.validate_autoaccept], verbose_name='Autoaccept suggestions')),
                ('check_flags', models.TextField(blank=True, default=b'', help_text='Additional comma-separated flags to influence quality checks, check documentation for possible values.', validators=[weblate.trans.validators.validate_check_flags], verbose_name='Quality checks flags')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='trans.Project', verbose_name='Project')),
            ],
            options={
                'ordering': ['project__name', 'name'],
                'permissions': (('lock_subproject', 'Can lock translation for translating'), ('can_see_git_repository', 'Can see git repository URL')),
            },
            bases=(models.Model, weblate.trans.mixins.PercentMixin, weblate.trans.mixins.URLMixin, weblate.trans.mixins.PathMixin),
        ),
        migrations.CreateModel(
            name='Suggestion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('contentsum', models.CharField(db_index=True, max_length=40)),
                ('target', models.TextField()),
                ('language', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='lang.Language')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='trans.Project')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'permissions': (('accept_suggestion', 'Can accept suggestion'), ('override_suggestion', 'Can override suggestion state'), ('vote_suggestion', 'Can vote for suggestion')),
            },
        ),
        migrations.CreateModel(
            name='Translation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('revision', models.CharField(blank=True, default=b'', max_length=100)),
                ('filename', models.CharField(max_length=200)),
                ('translated', models.IntegerField(db_index=True, default=0)),
                ('fuzzy', models.IntegerField(db_index=True, default=0)),
                ('total', models.IntegerField(db_index=True, default=0)),
                ('translated_words', models.IntegerField(default=0)),
                ('fuzzy_words', models.IntegerField(default=0)),
                ('failing_checks_words', models.IntegerField(default=0)),
                ('total_words', models.IntegerField(default=0)),
                ('failing_checks', models.IntegerField(db_index=True, default=0)),
                ('have_suggestion', models.IntegerField(db_index=True, default=0)),
                ('enabled', models.BooleanField(db_index=True, default=True)),
                ('language_code', models.CharField(default=b'', max_length=20)),
                ('lock_time', models.DateTimeField(default=django.utils.timezone.now)),
                ('commit_message', models.TextField(blank=True, default=b'')),
                ('language', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='lang.Language')),
                ('lock_user', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('subproject', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='trans.SubProject')),
            ],
            options={
                'ordering': ['language__name'],
                'permissions': (('upload_translation', 'Can upload translation'), ('overwrite_translation', 'Can overwrite with translation upload'), ('author_translation', 'Can define author of translation upload'), ('commit_translation', 'Can force commiting of translation'), ('update_translation', 'Can update translation from'), ('push_translation', 'Can push translations to remote'), ('reset_translation', 'Can reset translations to match remote'), ('automatic_translation', 'Can do automatic translation'), ('lock_translation', 'Can lock whole translation project'), ('use_mt', 'Can use machine translation')),
            },
            bases=(models.Model, weblate.trans.mixins.URLMixin, weblate.trans.mixins.PercentMixin),
        ),
        migrations.CreateModel(
            name='Unit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('checksum', models.CharField(db_index=True, max_length=40)),
                ('contentsum', models.CharField(db_index=True, max_length=40)),
                ('location', models.TextField(blank=True, default=b'')),
                ('context', models.TextField(blank=True, default=b'')),
                ('comment', models.TextField(blank=True, default=b'')),
                ('flags', models.TextField(blank=True, default=b'')),
                ('source', models.TextField()),
                ('previous_source', models.TextField(blank=True, default=b'')),
                ('target', models.TextField(blank=True, default=b'')),
                ('fuzzy', models.BooleanField(db_index=True, default=False)),
                ('translated', models.BooleanField(db_index=True, default=False)),
                ('position', models.IntegerField(db_index=True)),
                ('has_suggestion', models.BooleanField(db_index=True, default=False)),
                ('has_comment', models.BooleanField(db_index=True, default=False)),
                ('has_failing_check', models.BooleanField(db_index=True, default=False)),
                ('num_words', models.IntegerField(default=0)),
                ('priority', models.IntegerField(db_index=True, default=100)),
                ('translation', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='trans.Translation')),
            ],
            options={
                'ordering': ['priority', 'position'],
                'permissions': (('save_translation', 'Can save translation'),),
            },
        ),
        migrations.CreateModel(
            name='Vote',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('positive', models.BooleanField(default=True)),
                ('suggestion', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='trans.Suggestion')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='WhiteboardMessage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('message', models.TextField(blank=True)),
            ],
        ),
        migrations.AlterUniqueTogether(
            name='vote',
            unique_together=set([('suggestion', 'user')]),
        ),
        migrations.AddField(
            model_name='suggestion',
            name='votes',
            field=models.ManyToManyField(related_name=b'user_votes', through='trans.Vote', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='subproject',
            name='allow_translation_propagation',
            field=models.BooleanField(default=True, help_text='Whether translation updates in other resources will cause automatic translation in this one', verbose_name='Allow translation propagation'),
        ),
        migrations.AlterField(
            model_name='subproject',
            name='locked',
            field=models.BooleanField(default=False, help_text='Whether resource is locked for translation updates.', verbose_name='Locked'),
        ),
        migrations.AlterUniqueTogether(
            name='subproject',
            unique_together=set([('project', 'name'), ('project', 'slug')]),
        ),
        migrations.AddField(
            model_name='source',
            name='subproject',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='trans.SubProject'),
        ),
        migrations.AlterUniqueTogether(
            name='source',
            unique_together=set([('checksum', 'subproject')]),
        ),
        migrations.AddField(
            model_name='indexupdate',
            name='unit',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='trans.Unit', unique=True),
        ),
        migrations.AddField(
            model_name='dictionary',
            name='project',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='trans.Project'),
        ),
        migrations.AddField(
            model_name='comment',
            name='project',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='trans.Project'),
        ),
        migrations.AddField(
            model_name='comment',
            name='user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='check',
            name='project',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='trans.Project'),
        ),
        migrations.AlterUniqueTogether(
            name='check',
            unique_together=set([('contentsum', 'project', 'language', 'check')]),
        ),
        migrations.AddField(
            model_name='change',
            name='dictionary',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='trans.Dictionary'),
        ),
        migrations.AddField(
            model_name='change',
            name='translation',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='trans.Translation'),
        ),
        migrations.AddField(
            model_name='change',
            name='unit',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='trans.Unit'),
        ),
        migrations.AddField(
            model_name='change',
            name='user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterIndexTogether(
            name='advertisement',
            index_together=set([('placement', 'date_start', 'date_end')]),
        ),
        migrations.AddField(
            model_name='project',
            name='enable_hooks',
            field=models.BooleanField(default=True, help_text='Whether to allow updating this repository by remote hooks.', verbose_name='Enable hooks'),
        ),
        migrations.AlterField(
            model_name='subproject',
            name='name',
            field=models.CharField(help_text='Name to display', max_length=100, verbose_name='Resource name'),
        ),
        migrations.AlterField(
            model_name='subproject',
            name='repo',
            field=models.CharField(help_text='URL of Git repository, use weblate://project/resource for sharing with other resource.', max_length=200, verbose_name='Source code repository'),
        ),
        migrations.AddField(
            model_name='subproject',
            name='commit_message',
            field=models.TextField(default=b'Translated using Weblate (%(language_name)s)\n\nCurrently translated at %(translated_percent)s%% (%(translated)s of %(total)s strings)', help_text='You can use format strings for various information, please check documentation for more details.', validators=[weblate.trans.validators.validate_commit_message], verbose_name='Commit message'),
        ),
        migrations.AddField(
            model_name='subproject',
            name='committer_email',
            field=models.EmailField(default=b'noreply@weblate.org', max_length=75, verbose_name='Committer email'),
        ),
        migrations.AddField(
            model_name='subproject',
            name='committer_name',
            field=models.CharField(default=b'Weblate', max_length=200, verbose_name='Committer name'),
        ),
        migrations.AddField(
            model_name='subproject',
            name='license',
            field=models.CharField(blank=True, default=b'', help_text='Optional short summary of license used for translations.', max_length=150, verbose_name='Translation license'),
        ),
        migrations.AddField(
            model_name='subproject',
            name='license_url',
            field=models.URLField(blank=True, default=b'', help_text='Optional URL with license details.', verbose_name='License URL'),
        ),
        migrations.AddField(
            model_name='subproject',
            name='merge_style',
            field=models.CharField(choices=[(b'merge', 'Merge'), (b'rebase', 'Rebase')], default=b'merge', help_text='Define whether Weblate should merge upstream repository or rebase changes onto it.', max_length=10, verbose_name='Merge style'),
        ),
        migrations.AddField(
            model_name='subproject',
            name='new_lang',
            field=models.CharField(choices=[(b'contact', 'Use contact form'), (b'url', 'Point to translation instructions URL'), (b'add', 'Automatically add language file'), (b'none', 'No adding of language')], default=b'contact', help_text='How to handle requests for creating new languages.', max_length=10, verbose_name='New language'),
        ),
        migrations.RemoveField(
            model_name='project',
            name='commit_message',
        ),
        migrations.RemoveField(
            model_name='project',
            name='committer_email',
        ),
        migrations.RemoveField(
            model_name='project',
            name='committer_name',
        ),
        migrations.RemoveField(
            model_name='project',
            name='license',
        ),
        migrations.RemoveField(
            model_name='project',
            name='license_url',
        ),
        migrations.RemoveField(
            model_name='project',
            name='merge_style',
        ),
        migrations.RemoveField(
            model_name='project',
            name='new_lang',
        ),
        migrations.AlterModelOptions(
            name='project',
            options={'ordering': ['name'], 'permissions': (('manage_acl', 'Can manage ACL rules for a project'),)},
        ),
        migrations.AlterField(
            model_name='subproject',
            name='name',
            field=models.CharField(help_text='Name to display', max_length=100, verbose_name='Component name'),
        ),
        migrations.AlterField(
            model_name='check',
            name='check',
            field=models.CharField(choices=[(b'end_space', 'Trailing space'), (b'inconsistent', 'Inconsistent'), (b'begin_newline', 'Starting newline'), (b'zero-width-space', 'Zero-width space'), (b'escaped_newline', 'Mismatched \\n'), (b'same', 'Unchanged translation'), (b'end_question', 'Trailing question'), (b'end_ellipsis', 'Trailing ellipsis'), (b'ellipsis', 'Ellipsis'), (b'python_brace_format', 'Python brace format'), (b'end_newline', 'Trailing newline'), (b'c_format', 'C format'), (b'optional_plural', 'Optional plural'), (b'end_exclamation', 'Trailing exclamation'), (b'end_colon', 'Trailing colon'), (b'xml-tags', 'XML tags mismatch'), (b'python_format', 'Python format'), (b'plurals', 'Missing plurals'), (b'begin_space', 'Starting spaces'), (b'bbcode', 'Mismatched BBcode'), (b'multiple_failures', 'Multiple failing checks'), (b'php_format', 'PHP format'), (b'end_stop', 'Trailing stop')], max_length=20),
        ),
        migrations.AlterField(
            model_name='subproject',
            name='allow_translation_propagation',
            field=models.BooleanField(default=True, help_text='Whether translation updates in other components will cause automatic translation in this one', verbose_name='Allow translation propagation'),
        ),
        migrations.AlterField(
            model_name='subproject',
            name='branch',
            field=models.CharField(default=b'master', help_text='Repository branch to translate', max_length=50, verbose_name='Repository branch'),
        ),
        migrations.AlterField(
            model_name='subproject',
            name='git_export',
            field=models.CharField(blank=True, help_text='URL of a repository where users can fetch changes from Weblate', max_length=200, verbose_name='Exported repository URL'),
        ),
        migrations.AlterField(
            model_name='subproject',
            name='locked',
            field=models.BooleanField(default=False, help_text='Whether component is locked for translation updates.', verbose_name='Locked'),
        ),
        migrations.AlterField(
            model_name='subproject',
            name='push',
            field=models.CharField(blank=True, help_text='URL of a push repository, pushing is disabled if empty.', max_length=200, verbose_name='Repository push URL'),
        ),
        migrations.AlterField(
            model_name='subproject',
            name='repo',
            field=models.CharField(help_text='URL of a repository, use weblate://project/component for sharing with other component.', max_length=200, verbose_name='Source code repository'),
        ),
        migrations.AddField(
            model_name='source',
            name='check_flags',
            field=models.TextField(blank=True, default=b'', validators=[weblate.trans.validators.validate_check_flags]),
        ),
        migrations.AddField(
            model_name='subproject',
            name='vcs',
            field=models.CharField(choices=[(b'git', b'Git'), (b'mercurial', b'Mercurial')], default=b'git', help_text='Version control system to use to access your repository with translations.', max_length=20, verbose_name='Version control system'),
        ),
        migrations.AddField(
            model_name='translation',
            name='have_comment',
            field=models.IntegerField(db_index=True, default=0),
        ),
    ]
